Subject: Re: [PATCH net] rhashtable: fix crash due to mm api change

From: Florian Westphal <[email-masked]>
Date: Mon, 26 Sep 2022 12:05:50 +0200

Herbert Xu <[email-masked]> wrote:
> On Mon, Sep 26, 2022 at 10:50:18AM +0200, Florian Westphal wrote:
> > Herbert Xu <[email-masked]> wrote:
> > > On Mon, Sep 26, 2022 at 10:31:39AM +0200, Florian Westphal wrote:
> > > >
> > > > This patch is partial revert of
> > > > commit 93f976b5190d ("lib/rhashtable: simplify bucket_table_alloc()"),
> > > > to avoid kvmalloc for ATOMIC case.
> > > 
> > > This patch should just be reverted.  If kvzalloc fails we should
> > > definitely know about it.
> > 
> > No idea what you mean, I am no mind reader.  Please consider
> > fixing this yourself, I am done with this crap.
> 
> I just meant that the patch quoted above should be completely
> reverted instead of partially reverted.

I don't understand that at all, since this means removal of
__GFP_NOWARN -- that makes no sense to me.